import { SdkDappInfoDto } from "../dto/SdkDappInfoDto";
import { AppKit } from "@reown/appkit";
import { RequestArguments } from "../provider/interface";
export declare class WalletConnectClient {
    private static instance;
    readonly appKit: AppKit;
    readonly walletButton: any;
    private constructor();
    static getInstance(clientInfo: SdkDappInfoDto): WalletConnectClient;
    awaitAppKitReady(): Promise<void>;
    connect(walletName: string): Promise<any>;
    getAddress(): string | undefined;
    request(requestArgs: RequestArguments): Promise<unknown>;
    disconnect(): Promise<void>;
}
