import { RequestArguments } from "../provider/interface";
import { RelayCommunicator } from "./CommunicatorBase";
import { DappPortalSDKConfig } from "../config/config";
import { RpcResponse } from "../message/RpcMessage";
export declare class SubLiffCommunicator extends RelayCommunicator {
    constructor(config: DappPortalSDKConfig);
    postRequestAndWaitForResponse: <T>(request: RequestArguments) => Promise<T>;
    waitForResponse: (requestKey: string) => Promise<RpcResponse>;
    private openWallet;
}
