import { DappPortalSDKConfig } from "../config/config";
import WalletProvider from "./WalletProvider";
export declare class PaymentProvider {
    private readonly walletProvider;
    private readonly config;
    private readonly handler;
    private readonly clickEventListener;
    constructor(config: DappPortalSDKConfig, walletProvider: WalletProvider);
    startPayment(paymentId: string): Promise<void>;
    openPaymentHistory(): Promise<void>;
    private issueSessionToken;
    private openPaymentHistoryPage;
    private getPaymentPageBaseUrl;
    private stringToHex;
}
export default PaymentProvider;
