import { ProviderHandlerInterface } from "./interface";
import { RequestArguments } from "../interface";
import { DappPortalSDKConfig } from "../../config/config";
import { RelayCommunicator } from "../../communicator/CommunicatorBase";
import { ProviderType } from "../../enum/ProviderType";
export declare class RelayProviderHandler implements ProviderHandlerInterface {
    private readonly communicator;
    private readonly sdkLocalStorage;
    constructor(config: DappPortalSDKConfig, communicator: RelayCommunicator);
    request(requestArgs: RequestArguments, selectedProviderType: ProviderType | null): Promise<unknown>;
    switchChain(chainId: string): Promise<void>;
    disconnect(): Promise<void>;
}
