import { RequestArguments } from "../interface";
import { ProviderType } from "../../enum/ProviderType";
export interface ProviderHandlerInterface {
    request(requestArgs: RequestArguments, selectedProviderType: ProviderType | null): Promise<unknown>;
    switchChain(chainId: string): Promise<void>;
    disconnect(): Promise<void>;
}
