import SdkCookieStorage from "../storage/SdkCookieStorage";
import { SdkLocalStorage } from "../storage/SdkLocalStorage";
import { DappPortalSDKConfig } from "../config/config";
export default class TrackingService {
    private static instance;
    private readonly baseUrl;
    private readonly clientId;
    private readonly sdkLocalStorage;
    private readonly sdkCookieStorage;
    constructor(instances: {
        baseUrl: string;
        clientId: string;
        sdkLocalStorage: SdkLocalStorage;
        sdkCookieStorage: SdkCookieStorage;
    });
    static init(config: DappPortalSDKConfig): void;
    static getInstance(): TrackingService | null;
    getTrackingId(): string | null;
    sendWalletActivity(action: string, data?: Record<string, any>): void;
}
