import { DappPortalSDKConfig } from "../config/config";
import { WalletSelectorInterface } from "./interface";
import { ProviderType } from "../enum/ProviderType";
export declare class LiffWalletSelector implements WalletSelectorInterface {
    private readonly walletSelectUIUrl;
    private readonly connectPageOptions?;
    private iframe?;
    private resolveProviderType?;
    private rejectProviderType?;
    constructor(config: DappPortalSDKConfig);
    private onProviderTypeSelected;
    selectType(dappName: string, reownVerified: boolean): Promise<ProviderType>;
    cancel(): void;
}
