import { RequestArguments } from "../provider/interface";
import { RelayCommunicator } from "./CommunicatorBase";
import { DappPortalSDKConfig } from "../config/config";
import { ProviderType } from "../enum/ProviderType";
export declare class WebWalletCommunicator extends RelayCommunicator {
    private readonly clickEventListener;
    private readonly sdkLocalStorage;
    constructor(config: DappPortalSDKConfig);
    postRequestAndWaitForResponse: <T>(request: RequestArguments, selectedProviderType: ProviderType | null) => Promise<T>;
    postRequestWithProviderType: (request: RequestArguments, requestKey: string) => Promise<void>;
    handleResponseWithProviderType: <T>(request: RequestArguments, response: unknown) => Promise<T>;
    private isMethodNeedProviderTypeSync;
    private openWallet;
    private closeWallet;
    private getRequestBaseUrl;
}
