export declare class SdkLocalStorage {
    private readonly chainId;
    constructor(chainId: string);
    clear(): void;
    setWalletType(walletType: string): void;
    getWalletType(): string | null;
    setProviderType(providerType: string): void;
    getProviderType(): string | null;
    setSelectedWallet(walletAddress: string): void;
    getConnectedWallet(): string | null;
    getDeviceId(): string | null;
    setDeviceId(deviceId: string): void;
    private getKeyWithPrefix;
    private setItem;
    private getItem;
    private removeItem;
}
