import { DappPortalSDKConfig } from "../config/config";
import { WalletSelectorInterface } from "./interface";
import { ProviderType } from "../enum/ProviderType";
export declare class IframeWalletSelector implements WalletSelectorInterface {
    private readonly walletSelectUIUrl;
    private iframe?;
    private readonly connectPageOptions?;
    private resolveProviderType?;
    private rejectProviderType?;
    private readonly sdkLocalStorage;
    constructor(config: DappPortalSDKConfig);
    private eventListener?;
    setupListeners(): void;
    private clearListeners;
    private onProviderTypeSelected;
    private reset;
    selectType(dappName: string, reownVerified: boolean): Promise<ProviderType>;
    cancel(): void;
}
